Bug 187591 - partition device not accessible: 2nd disk on SATA
partition device not accessible: 2nd disk on SATA
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 08:10 EST by Gael Fraiteur
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 16:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (15.90 KB, text/plain)
2006-04-01 08:10 EST, Gael Fraiteur
no flags Details

  None (edit)
Description Gael Fraiteur 2006-04-01 08:10:17 EST
Description of problem:
partition devices are not accessible on the 2nd disk of the SATA controller.

Version-Release number of selected component (if applicable):
Linux version 2.6.16-1.2080_FC5 (bhcompile@hs20-bc1-4.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 SMP Tue Mar 28 03:38:47 EST 2006

00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)

partition setup:
/dev/md0=raid1(/dev/sda1,/dev/sdb1)
/dev/md1=raid1(/dev/sda3,/dev/sdb3)
swap=/dev/sda2,/dev/sdb2

How reproducible:
always -- just boot the kernel, even in single-user mode


Steps to Reproduce:
1. type 'fdisk /dev/sdb', type 'p' --> partition table ok
2. type 'cat /proc/mdadm' --> both mds are broken, sdb1 and sdb3 are missing
3. type 'mdadm /dev/md0 -add /dev/sdb1' --> 'Cannot open /dev/sdb1: No such
device or address'
4. type 'swapon /dev/sdb2' --> '/dev/sdb2: No such device or address'
5. type 'ls /dev/sdb*' --> partition device nodes are present
  
Actual results:
see above

Expected results:
partition device nodes should be accessible


Additional info:
Comment 1 Gael Fraiteur 2006-04-01 08:10:17 EST
Created attachment 127175 [details]
dmesg output
Comment 2 Dave Jones 2006-10-16 15:22:38 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Gael Fraiteur 2006-10-16 15:27:59 EDT
Dave,

Excuse me, partially due to this problem I decided to go back to Windows. I do
not have any Linux partition any more. Sorry.

Gael
Comment 4 Dave Jones 2006-10-16 16:44:31 EDT
sorry to hear that.  If you try a future release, and the problem is still
there, please feel free to open up another bug.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.